DotNetNuke 3.2 module with Schwarz's Ajax.dll 5.7.22.2

Can someone please help me? I am trying to add Ajax functionality to a DotNetNuke 3.2 module using Schwarz's Ajax.dll (v5.7.22.2). When I use the DNNStub application my module works like a champ, but when I run it in the DotNetNuke environment I get a javascript error on the line where my Ajax function is called. What can I do? Thanks.
0
pwbriggs23
12/16/2005 10:23:11 PM
asp.net.dotnetnuke 25171 articles. 0 followers. Follow

5 Replies
701 Views

Similar Articles

[PageSpeed] 35

Please provide additional information.

What was the javascript error you got?


~ Innovative Modules @ Inspector IT
~ I Blog @ CTO 2.0
0
netguy
12/17/2005 10:47:29 PM
Please describe more and be sure to have the latest version DNN 3.2.1 installed.
-------------------------------------
Be Simple, Be Google
0
aboozar
12/18/2005 8:24:31 AM
Thank you both for replying. I did have 3.2.0 installed so I made sure to upgrade to 3.2.1, so that is done. I am still receiving the same error message. Here is my javascript function: 

ADSI.AjaxMethods.dtFillEmployeeTables(myVal.value, strCat.options[strCat.selectedIndex].value, FillEmployeeTable_callback);

The error I get is exactly this: Runtime error: 'ADSI' is undefined.

AjaxMethods is a public class inside the namespace ADSI. It was inside the ascx file but I saw an example that had this setup so I used it.

The program in a summary, is an employee phone directory list. There is a textbox and a listbox. The listbox contains all of the employees. The module is designed to filter the results based on the users input. For example, if I type a B, then ONLY the employees with the last name of B will be in my list and so on. I used the DNNDebug solution and my code worked perfectly, so I think the coding is correct, but there is something I am not doing to allow the Ajax technologies to go through DNN.

I am open for suggestions! Please help! Thanks.

0
pwbriggs23
12/19/2005 5:27:23 PM

I got it working!! This is what I did different but I don't know if they all needed to be done.

1. Upgraded to 3.2.1.

2. Changed the output from my DNN module to the DNN bin directory.

3. Removed the ADSI in the javascript function call ADSI.AjaxMethods.dtFillEmployeetable

 

Not sure which on did it but I think I got it working! Thanks for the tips!

0
pwbriggs23
12/19/2005 5:53:14 PM

The third one is the cause.
It is all about the scope. Maybe in the context you were using ADSI and the class identifier it was not in the scope or it wasn't marked as a ajax class or something around this.

Anyway, Its goog you could fix the problem.


-------------------------------------
Be Simple, Be Google
0
aboozar
12/20/2005 8:51:27 AM
Reply:

Similar Artilces:

[ANN] Release of Bugzilla 3.2.1, 3.0.7, 2.22.7, and 3.3.2
Today we have some major security improvements for Bugzilla in the form of four releases. We strongly recommend that all Bugzilla administrators read the Security Advisory for these releases, which is linked below in this email. Bugzilla 3.2.1 is our latest stable release. It contains various useful bug fixes in addition to major security improvements. Bugzilla 3.0.7 and Bugzilla 2.22.7 are security updates for their branches. Bugzilla 3.3.2 is an unstable development release. In addition to the security fixes that all the other releases contain, this release contains n...

DotNetNuke Upgrade 2.1.2 to 3.0.13 can't edit html modules
Ok I upgrade my 2.1.2 to 3.0.13. Site is really important because it actually makes money but I really need the advantage of friendly urls blah blah blah I uninstall all my custom modules except my PA Faq's from dotnetjedi that is really the heart of my site. I of course did a test upgrade on a different machine and I was able to leave that one custom module installed, upgrade, the module broke of course, then I uploaded the dnn 3 version and it worked :) So anyway I now do the upgrade on my live site and it upgrades just like it did on the test machine, except this time I noticed that the...

Weird Issue
I have a toughy here. I recently have updated my DNN 3.2.1 website to 3.2.2. I tried to use the TTT core module but was unsuccessful so I simply added the module separately. My Windows auth ONLY works if I have the following in my httpmodules section: <add name="Authentication" type="DotNetNuke.HttpModules.AuthenticationModule, DotNetNuke.HttpModules.Authentication" /> Bad thing is when I do uncomment that line out, a module that I had working beautifully using M. Schwarz Ajax.dll now gives me a javascript error accessing the Ajax function in javascript.  So when that entr...

What's compatible with DW.NET 2.0 and DW.NET 2.5?
The group I work with does nothing but PB applications. Finally there is some interest in moving some of our applications away from PB towards the .Net area. Currently we are not interested in what PB 11 is offering in the .NET area. We would like to be in a more 'native' .NET environment. Now with that being said , we are in the VERY early stages of using Visual Studio and Datawindow.NET. We have already found some issues with DW.NET 2.5 and VS 2008 that are making it difficult to move forward. So here is my question. What versions of VS and DW.NET actually work well tog...

What's compatible with DW.NET 2.0 and DW.NET 2.5
The group I work with does nothing but PB applications. Finally there is some interest in moving some of our applications away from PB towards the .Net area. Currently we are not interested in what PB 11 is offering in the .NET area. We would like to be in a more 'native' .NET environment. Now with that being said , we are in the VERY early stages of using Visual Studio and Datawindow.NET. We have already found some issues with DW.NET 2.5 and VS 2008 that are making it difficult to move forward. So here is my question. What versions of VS and DW.NET actually work well tog...

Smoke [5.12.2] v5.12.2-3-g4ffae9c FAIL(F) MSWin32 WinXP/.Net SP3 (x86/2 cpu) #7
Automated smoke report for 5.12.2 patch 4ffae9cec64e9dd4150c249b8d63bdceb4e= 65fb2 v5.12.2-3-g4ffae9c maldoror.bath.planit.group: Intel(R) Core(TM)2 CPU 6700 @ 2.66GHz(~2660 MHz= ) (x86/2 cpu) on MSWin32 - WinXP/.Net SP3 using cl version 14.00.50727.762 smoketime 6 hours 47 minutes (average 40 minutes 44 seconds) Summary: FAIL(F) O =3D OK F =3D Failure(s), extended report at the bottom X =3D Failure(s) under TEST but not under harness ? =3D still running or test results not (yet) available Build failures during: - =3D unknown or N/A c =3D Configure...

What's the story with Tie::RefHash (5.6.1 is 'newer' than 5.7.2?)
I noticed that lib/Tie/RefHash.pm in perl 5.6.1 seems to be newer than than the one in perl-current that I fetch with rsync. I hadn't noticed it before, but when I run perl -e 'use CPAN; CPAN::Shell->r;' I'm now getting a report that perl 5.7.2's Tie::Refhash (dated Dec 6 2000,) is an older rev than the Apr 8 2001 version in perl 5.6.1 Another possibility is that there is (or was) an indexing problem with CPAN. Package namespace installed latest in CPAN file Tie::RefHash 1.21 1.3 G/GS/GSAR/perl-5.6.1.tar.gz ...

Security Advisory for Bugzilla 3.0.3, 3.1.3, 2.22.3, and 2.20.5
--Sig_/7+QS=YT68me2o8pI2lL1LPd Content-Type: text/plain; charset=UTF-8 Content-Transfer-Encoding: quoted-printable Summary =3D=3D=3D=3D=3D=3D=3D Bugzilla is a Web-based bug-tracking system, used by a large number of software projects. This advisory covers three security issues that have recently been fixed in the Bugzilla code: * Users without the "canconfirm" privilege could enter a bug as NEW or ASSIGNED by using the XML-RPC interface. * When viewing several bugs at once, there was a Cross-Site Scripting hole. * The inbound email interface allowed you t...

Dynamo 3.5 what's new? and Servlet 2.2
Could someone post here (or send me) the What's new in Dynamo with the EAS 3.5 release. This would be most useful to see! Also, does the EAS 3.5 servlet engine follow the Java Servlet 2.1 spec, or is it 2.0? Can anyone comment on the plans to develo this engine to the 2.2 spec which is currently in review. TIA Jay Fienberg Adidam Emporium http://www.adidam.com Jay Fienberg <jayf@adidam.org> wrote in message news:AjsVFM1S$GA.287@forums.sybase.com... > Could someone post here (or send me) the What's new in Dynamo with the EAS > 3.5 release. Th...

Connecting to Oracle 7.2/7.3 with PB5 & SQL*Net 2.3
We are currently developing with PB 5.0.02, Oracle 7.2, SQL*Net 2.2 (32 bit), and Win 95. This setup is also our typical client platform. We will soon be going to Oracle 7.3. Before that happens we'll be trying SQL*Net 2.3 with Oracle 7.2. 1) Has anyone encountered any substantial problems with PB 5.0.02 with SQL*Net 2.3 and Oracle 7.2? 2) Does anyone have any information to pass along about PB 5.0.02 and Oracle 7.3 but using the native Oracle 7.2 driver? (I work at a fairly large firm, i.e. lots of testing involved, and I doubt we'll be going to PB 5.0.03 before we go to Or...

DotNetNuke 2.1.2 #2
Is DotNetNuke 2.1.2 compatible with SQL Server 2005? Do I need to upgrade to 3.x or 4.x with SQL Server 2005?...

Upgrading from DotNetNuke 2.1.2 to DotNetNuke 3.0.13 can not sign on as admin or host
I have just upgraded from Upgrading from DotNetNuke 2.1.2 to DotNetNuke 3.0.13, however now I can not sign on as either admin or host.. Also after registering as normal client I do not see my tabs that were built using DotNetNuke 2.1.2...

What's wrong with DNN3.2.1 and 3.2.2?
I've written a module which do some things and also logs in a user and adds him to role. There are some modules on the UserPage with visibility set for this role, so after redirecting to UserPage these module should be visible. On DNN3.1.1 and 3.2.0 everything works fine but on 3.2.1 and 3.2.2 there is 1-2 minutes delay before these modules can appear (I'm refreshing again and again). So what's wrong with 3.2.1 and 3.2.2? Or what's wrong with my module? Can you help me, please? I was suspecting Visibility class because it has changed but I can't find any usage of the class in DNN. Maybe t...

DNN 3.2.1 & 3.2.2
I swear I looked everywhere... can't seem to find an answer to this. In the action menu of a module, when trying to move it "content pane" or "left pane" etc... clicking the menu does nothing...   wondering if anyone else has this issue and has solved it. Thankfully, I can still drag and drop it... just can't use the menu. Thanks everyone! this is an error in 3.2.1, and should work in 3.2.2 cheers, erikErik van Ballegoij, The Netherlands...

Web resources about - DotNetNuke 3.2 module with Schwarz's Ajax.dll 5.7.22.2 - asp.net.dotnetnuke

Resources last updated: 1/1/2016 11:11:51 AM